--- chan_sip.c~	2008-12-20 20:20:24.000000000 -0500
+++ chan_sip.c	2008-12-21 00:40:28.000000000 -0500
@@ -6929,7 +6929,7 @@
 			if ((sscanf(a, "T38FaxMaxBuffer:%d", &x) == 1)) {
 				found = 1;
 				ast_debug(3, "MaxBufferSize:%d\n", x);
-			} else if ((sscanf(a, "T38MaxBitRate:%d", &x) == 1)) {
+			} else if ((sscanf(a, "T38MaxBitRate:%d", &x) == 1) || (sscanf(a, "T38FaxMaxRate:%d", &x) == 1)) {
 				found = 1;
 				ast_debug(3, "T38MaxBitRate: %d\n", x);
 				switch (x) {
@@ -6959,7 +6959,7 @@
 					peert38capability |= T38FAX_VERSION_0;
 				else if (x == 1)
 					peert38capability |= T38FAX_VERSION_1;
-			} else if ((sscanf(a, "T38FaxMaxDatagram:%d", &x) == 1)) {
+			} else if ((sscanf(a, "T38FaxMaxDatagram:%d", &x) == 1) || (sscanf(a, "T38MaxDatagram:%d", &x) == 1)) {
 				found = 1;
 				ast_debug(3, "FaxMaxDatagram: %d\n", x);
 				ast_udptl_set_far_max_datagram(p->udptl, x);
@@ -8010,25 +8010,25 @@
 	int maxrate = (t38cap & (T38FAX_RATE_14400 | T38FAX_RATE_12000 | T38FAX_RATE_9600 | T38FAX_RATE_7200 | T38FAX_RATE_4800 | T38FAX_RATE_2400));
 	
 	if (maxrate & T38FAX_RATE_14400) {
-		ast_debug(2, "T38MaxFaxRate 14400 found\n");
+		ast_debug(2, "T38MaxBitRate 14400 found\n");
 		return 14400;
 	} else if (maxrate & T38FAX_RATE_12000) {
-		ast_debug(2, "T38MaxFaxRate 12000 found\n");
+		ast_debug(2, "T38MaxBitRate 12000 found\n");
 		return 12000;
 	} else if (maxrate & T38FAX_RATE_9600) {
-		ast_debug(2, "T38MaxFaxRate 9600 found\n");
+		ast_debug(2, "T38MaxBitRate 9600 found\n");
 		return 9600;
 	} else if (maxrate & T38FAX_RATE_7200) {
-		ast_debug(2, "T38MaxFaxRate 7200 found\n");
+		ast_debug(2, "T38MaxBitRate 7200 found\n");
 		return 7200;
 	} else if (maxrate & T38FAX_RATE_4800) {
-		ast_debug(2, "T38MaxFaxRate 4800 found\n");
+		ast_debug(2, "T38MaxBitRate 4800 found\n");
 		return 4800;
 	} else if (maxrate & T38FAX_RATE_2400) {
-		ast_debug(2, "T38MaxFaxRate 2400 found\n");
+		ast_debug(2, "T38MaxBitRate 2400 found\n");
 		return 2400;
 	} else {
-		ast_debug(2, "Strange, T38MaxFaxRate NOT found in peers T38 SDP.\n");
+		ast_debug(2, "Strange, T38MaxBitRate NOT found in peers T38 SDP.\n");
 		return 0;
 	}
 }
